Bug 1290957 - virt-manager and virt-viewer keyboard input not recognized over x2go
virt-manager and virt-viewer keyboard input not recognized over x2go
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: x2goserver (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 21:46 EST by Michael DePaulo
Modified: 2015-12-28 16:25 EST (History)
2 users (show)

See Also:
Fixed In Version: x2goserver-4.0.1.19-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-28 16:25:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael DePaulo 2015-12-11 21:46:20 EST
Description of problem:
Over an X2Go session, if you create a VM in virt-manager and attempt to interact with its SPICE Display via either virt-manager itself, or virt-viewer, your keyboard input is not recognized by the VM.

Mouse input does work though. Keyboard input does work for the regular GTK widgets in virt-manager (and remote-viewer).

If you launch virt-viewer via the console, these messages are logged when you press keys:
(virt-viewer:3928): GSpice-CRITICAL **: send_key: assertion 'scancode != 0' failed

The simple fix is to install package:
xorg-x11-xkb-utils

Considering that x2goserver 4.0.1.19-4 added a dependency on xorg-x11-xkb-utils, I propose that x2goserver for EPEL7 be updated to that version, or a later version.

Version-Release number of selected component (if applicable):
x2goserver 4.0.1.19-3
nxagent 3.5.0.32-3
RHEL 7.2
All available package updates for RHEL 7.2 and EPEL 7.
Xfce session for X2Go

How reproducible:
I tried 2 VMs with different configs.

More info about reproducing:
2. Note that an X2Go session with a PolicyKit agent is necessary to follow the steps.
3. To test virt-viewer and see the command-line output, run:
virt-viewer -c qemu:///system

Also, I (mikedep333) recently became a Fedora package maintainer, and I am an upstream developer. I offer to co-maintain.
Comment 1 Fedora Update System 2015-12-12 13:44:58 EST
x2goserver-4.0.1.19-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-143eae34b7
Comment 2 Fedora Update System 2015-12-14 07:18:57 EST
x2goserver-4.0.1.19-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update x2goserver'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-143eae34b7
Comment 3 Fedora Update System 2015-12-28 16:25:12 EST
x2goserver-4.0.1.19-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.